Discover the API
GET
/
const url = 'http://127.0.0.1:8000/';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url http://127.0.0.1:8000/Return a welcome message and the canonical developer documentation URL.
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
RootResponse
API welcome message.
object
message
required
Message
Short API welcome message with a link to the documentation.
string
Examplegenerated
{ "message": "example"}Unexpected server error.
Media typeapplication/json
ApiErrorResponse
Error returned by request validation or a ParseHawk domain service.
object
detail
required
Any of:
string
Array<object>
object
key
additional properties
any
Examplegenerated
{ "detail": [ {} ]}